Skip to main content
DELETE
/
api
/
v1
/
vault
/
projects
/
{project_id}
/
users
Remove Project Users
curl --request DELETE \
  --url https://api.harvey.ai/api/v1/vault/projects/{project_id}/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "status": "COMPLETED",
  "data": {
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "users_removed": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string<uuid>
required

The unique identifier of the Vault project

Body

application/json
user_ids
string<uuid>[]
required

List of user UUIDs whose direct shares should be removed from the project

Response

Successfully processed removal request (including no-op removals)

status
enum<string>
required

Status of the request

Available options:
COMPLETED
data
object
required